#{extends 'borderNG.html' /}

<div class="container">

    <ul id="tabs" class="nav nav-tabs faq-cat-tabs" role="tablist">
        <li>
            <a href="@{BerandaCtr.index()}">&{'beranda.tender'}</a>
        </li>
        <li class="active">
            <a href="@{BerandaCtr.nonLelang()}" data-toggle="tab">&{'beranda.nontender'}</a>
        </li>
        <li>
            <a href="@{BerandaCtr.PpkNonTransaksional()}">&{'beranda.pencatatan_nontender'}</a>
        </li>
        <li>
            <a href="@{BerandaCtr.PpkSwakelola()}">&{'beranda.pencatatan_swakelola'}</a>
        </li>
    </ul>
    <div class="tab-pane active" id="etendering">
        <div class="content tab-content">
			<div class="breadcrumb" style="background-color: #d9534f !important;">
                &{'beranda.paket_ppk'}
			</div>

			#{alert /}
			<table id="tblpaket" class="table table-sm">
				<thead>
					<tr>
                        <th>&{'beranda.kode_paket'}</th>
                        <th>&{'beranda.nama_paket'}</th>
                        <th>&{'beranda.tahap'}</th>
                        <th>&{'beranda.dokumen'}</th>
					</tr>
				</thead>
			</table>
		</div>
	</div>
</div>
#{set 'css_custom' } 					
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">  
var viewLelang =  #{jsRoute @lelang.PaketCtr.detil_paket(':id') /};
var viewListSppbj = #{jsRoute @kontrak.SppbjPlCtr.listSppbjPl(':id') /};
var viewSppbj  = #{jsRoute @kontrak.SppbjPlCtr.sppbjPpkPl(':id') /};
var viewSPK= #{jsRoute @kontrak.SppPlCtr.spkPl(':id') /};
var viewPesanan= #{jsRoute @kontrak.SppPlCtr.suratPesananPpkPl(':id') /};
var viewTahap  = #{jsRoute @nonlelang.JadwalPlCtr.tahap(':id') /};
var viewSPMK  = #{jsRoute @kontrak.SppPlCtr.spmkPl(':id') /};
var viewPembayaran  = #{jsRoute @kontrak.PembayaranPlCtr.daftarPembayaranPl(':id') /};
var view  = #{jsRoute @nonlelang.PengadaanLCtr.view(':id') /};
var penilaian_sikap  = #{jsRoute @nonlelang.EvaluasiPLCtr.penilaian_sikap(':id') /};
var viewSuratPerjanjian = #{jsRoute @kontrak.SuratPerjanjianPlCtr.suratPerjanjianPpkPl(':id') /};
var viewDokumenLainnya = #{jsRoute @kontrak.SppPlCtr.dokumenLainnyaPl(':id') /};


var table = $("#tblpaket").DataTable({
        language: {
                searchPlaceholder: "&{'beranda.tender_kode'}",
                "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
                processing:   "&{'menu.processing'}",
                "sSearch":       "&{'menu.ssearch'}",
                "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
                "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data",
        },
        order: [[ 0, "desc"]],
        ajax: "@{DataTableCtr.paketPpkPl()}",
        columns: [{render: function(data, type, row) {
        	 	var id = row[0] ;
        		var pemenang = row[3];    
        		var kategori = row[4];   
        		var label = row[5];

        		var version = getLabelSpseVersion(row[6]);
        		var flag = version.flag;
        		var highlight = version.highlight;
				var versiSpse =  '<span class="'+highlight+'">'+flag+'</span>';

        		var disabled = pemenang == 'false'? 'disabled="disabled"':'';
        		var sudah_verifikasi_sikap = row[8];
        		//var disabled ='';
                // var flag = row[4] == '0'? '<a  href="'+viewPesanan.url({id:id})+'" class="btn btn-sm btn-secondary disabled" '+disabled+' >'+'Surat Pesanan'+'</a>':'<a  href="'+viewSPMK.url({id:id})+'" class="btn btn-sm btn-secondary" '+disabled+' >SPMK</a>';
                row[1] = '<a href="' + view.url({id: id}) + '" >' + row[1] + '&nbsp;<span class="badge badge-secondary">' + label + '</span></a>' + versiSpse;
                if (pemenang == 'false' || sudah_verifikasi_sikap != 1) {
                    var disabled = 'disabled="disabled"';
                    row[2] = '<a target="_blank" href="' + viewTahap.url({id: id}) + '">' + row[2] + '</a>';
                    row[3] = '<a  href="javascript:void(0)" class="btn-small btn-default" ' + disabled + '>&{'kontrak.e_kontrak'}</a>';
                } else {
                    row[2] = '<a target="_blank"  href="' + viewTahap.url({id: id}) + '">' + row[2] + '</a>';
                    row[3] = '<a  href="' + viewListSppbj.url({id: id}) + '" class="btn-small btn-default">&{'kontrak.e_kontrak'}</a>';
                }
				return row[0];
                }
            },{"width": "65%"}, {orderable:false}, {orderable:false}
        ]
    });
    $('#tblpaket_filter input').unbind();
	$('#tblpaket_filter input').bind('keyup', function(e) {
			if(e.keyCode == 13) {
			  table.search(this.value).draw();
			 }
	});
</script>
#{/set}
